/*****************************************************************************
    Ethernet packet sniffer - GreedyDog2

    Developed by Shadow Penguin Security Resarch Group
     http://www.shadowpenguin.org
     UNYUN <unyun@shadowpenguin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    Thanks : Using libpcap was suggested by reverse

 *****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "param.h"
#include "depend.h"
#include "defaultnic.h"

/*============================================================================
 Get default NIC
 [INPUT]
  none
 [RETURN]
  if default nic is not found, return NULL
  otherwise, name of default nic is returned
  ============================================================================
*/
char *getdefaultnic(void)
{
    char    *nicname;
    char    ebuf[PCAP_ERRBUF_SIZE];

    nicname = pcap_lookupdev(ebuf);
    return(nicname);
}
